//
//  NickyAesTool.h
//  AES_256
//
//  Created by NickyTsui on 16/8/10.
//  Copyright © 2016年 Bison. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CommonCrypto/CommonCryptor.h>
#import <CommonCrypto/CommonDigest.h>
@interface NickyAesTool : NSObject
+ (NSString *)aes_decrypt:(NSString *)encryptString;
+ (NSString *)aes_encrypt:(NSString *)beEncryptString;
@end



@interface NSData (AES)

//加密
- (NSData *) AES256_Encrypt:(NSString *)key;
//解密
- (NSData *) AES256_Decrypt:(NSString *)key;

+ (NSData *) base64DataFromString:(NSString *)string;


@end


@interface NSString (AES)

//加密
- (NSString *) AES256_Encrypt:(NSString *)key;

//解密
- (NSString *) AES256_Decrypt:(NSString *)key;


+ (NSString *) base64StringFromData:(NSData *)data length:(NSUInteger)length;

@end
